<?php

namespace ModulesGarden\Servers\ProxmoxVps\App\Http\Client;

use ModulesGarden\ProxmoxAddon\App\Services\Vps\ProductService;
use ModulesGarden\Servers\ProxmoxVps\App\Helpers\AppParams;
use ModulesGarden\Servers\ProxmoxVps\Core\Helper;
use ModulesGarden\Servers\ProxmoxVps\Core\Http\AbstractClientController;

class FirewallOption extends AbstractClientController
{
    use ProductService;

    public function index()
    {
        (new AppParams())->initFromWhmcsParams();
        $this->acl()->firewallOption();
        Helper\sl("sidebar")->getSidebar("managementProxmoxVps")->getChild("firewallOption")->setActive(true);
        return Helper\view()->addElement(\ModulesGarden\Servers\ProxmoxVps\App\UI\FirewallOption\Pages\FirewallOption::class);
    }

}
